/**
 * @file cmd_str.h
 * @brief string command header file
 * @details 
 * @author This software is contributed or developed by KYOCERA Corporation.
 * @copyright (C) 2022 KYOCERA Corporation
 * 
 * SPDX-License-Identifier: MIT
 * 
 */
/* Define to prevent recursive inclusion -----------------------*/
#ifndef __CMD_STR_H__
#define __CMD_STR_H__

#ifdef C_SYNTAX
#include "basicInformation.h"
#endif // C_SYNTAX

/****************************************************************/
/* common define */
/****************************************************************/
// string initialize macro function
#define rcplib_STR_SetString(x,y) rcplib_STR_Cut(x, y, 0, 0xFFFF)

#endif
