/**
  ******************************************************************************
  * @file    stm32h7xx_hal_gpio.h
  * @author  MCD Application Team
  * @brief   Header file of GPIO HAL module.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; COPYRIGHT(c) 2017 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  */
//---- stm32h7xx_hal_gpio.h ----

#define GPIO_PIN_0                 0x0001  // Pin 0 selected    */
#define GPIO_PIN_1                 0x0002  // Pin 1 selected    */
#define GPIO_PIN_2                 0x0004  // Pin 2 selected    */
#define GPIO_PIN_3                 0x0008  // Pin 3 selected    */
#define GPIO_PIN_4                 0x0010  // Pin 4 selected    */
#define GPIO_PIN_5                 0x0020  // Pin 5 selected    */
#define GPIO_PIN_6                 0x0040  // Pin 6 selected    */
#define GPIO_PIN_7                 0x0080  // Pin 7 selected    */
#define GPIO_PIN_8                 0x0100  // Pin 8 selected    */
#define GPIO_PIN_9                 0x0200  // Pin 9 selected    */
#define GPIO_PIN_10                0x0400  // Pin 10 selected   */
#define GPIO_PIN_11                0x0800  // Pin 11 selected   */
#define GPIO_PIN_12                0x1000  // Pin 12 selected   */
#define GPIO_PIN_13                0x2000  // Pin 13 selected   */
#define GPIO_PIN_14                0x4000  // Pin 14 selected   */
#define GPIO_PIN_15                0x8000  // Pin 15 selected   */

#define GPIO_PIN_RESET 0
#define GPIO_PIN_SET 1
