/**
 * @file svitem.h
 * @brief SV item define
 * @details 
 * @author This software is contributed or developed by KYOCERA Corporation.
 * @copyright (C) 2022 KYOCERA Corporation
 * 
 * SPDX-License-Identifier: MIT
 * 
 */
/* Define to prevent recursive inclusion -----------------------*/
#ifndef __SVITEM_H__
#define __SVITEM_H__

/****************************************************************/
/* common define */
/****************************************************************/
#define ENGINE_SVITEM_ID_MYID 0 // 自タスクID
#define ENGINE_SVITEM_ID_TASKEVENTITEM 1 // 
#define ENGINE_SVITEM_ID_TASKEVENTITEM_EVENT_ID 2 // 受信イベントID
#define ENGINE_SVITEM_ID_TASKEVENTITEM_SENDER_ID 3 // 送信タスクID
#define ENGINE_SVITEM_ID_TASKEVENTITEM_SYNC_ID 4 // 送信元タスクイベント通知要求ID
#define ENGINE_SVITEM_ID_TASKEVENTITEM_RESULT_CODE 5 // 送信先タスクリザルトコード
#define ENGINE_SVITEM_ID_TASKEVENTITEM_SEQ_ID 6 // 同期SeqID
#define ENGINE_SVITEM_ID_TASKEVENTITEM_ARG_BUFF 7 // 
#define ENGINE_SVITEM_ID_FROMID 8 // 送信元タスクID

#endif
