﻿/**
 * @file bleCtrlTask.h
 * @brief bluetooth low energy control task header file
 * @details BLE control
 * @author This software is contributed or developed by KYOCERA Corporation.
 * @copyright (C) 2022 KYOCERA Corporation
 * 
 * SPDX-License-Identifier: MIT
 * 
*/
/* Define to prevent recursive inclusion -----------------------*/
#ifndef BLECTRLTASK_H_
#define BLECTRLTASK_H_

/****************************************************************/
/* include header file */
/****************************************************************/

/****************************************************************/
/* common define */
/****************************************************************/

/****************************************************************/
/* common typedef (other than enum/struct/union) */
/****************************************************************/

/****************************************************************/
/* common enum */
/****************************************************************/
// SensorBeaconFilterのタイプID
#define BLE_SENSOR_BEACON_TYPE2_ID 0x03
#define BLE_SENSOR_BEACON_TYPE3_ID 0x02
#define BLE_SENSOR_BEACON_TYPE4_ID 0x0E
#define BLE_SENSOR_BEACON_TYPE5_ID 0x07

/****************************************************************/
/* common struct/union */
/****************************************************************/

/****************************************************************/
/* common variable */
/****************************************************************/

/****************************************************************/
/* common function */
/****************************************************************/

/****************************************************************/
/* common macro */
/****************************************************************/

/* Define to prevent recursive inclusion -----------------------*/
#endif /* BLECTRLTASK_H_ */
