﻿/**
 * @file krdefine.h
 * @brief recipe engine
 * @details
 * @author This software is contributed or developed by KYOCERA Corporation.
 * @copyright (C) 2022 KYOCERA Corporation
 * 
 * SPDX-License-Identifier: MIT
 * 
 */
/* Define to prevent recursive inclusion -----------------------*/
#ifndef __KRDEFINE_H__
#define __KRDEFINE_H__

/****************************************************************/
/* include header file */
/****************************************************************/

/****************************************************************/
/* common define */
/****************************************************************/

// シリアルデバイス
#define KRDEFINE_EXTDEV_RS485 0
#define KRDEFINE_EXTDEV_RS232 1
#define KRDEFINE_EXTDEV_CAN1 2
#define KRDEFINE_EXTDEV_GPIO 3
#define KRDEFINE_EXTDEV_I2C2 4
#define KRDEFINE_EXTDEV_RS485_2WIRE 5
#define KRDEFINE_EXTDEV_MAX 6
// シリアルデバイスの電源制御
#define KRDEFINE_EXTDEV_POW_OFF 0
#define KRDEFINE_EXTDEV_POW_ON 1

/****************************************************************/
/* common typedef (other than enum/struct/union) */
/****************************************************************/

/****************************************************************/
/* common enum */
/****************************************************************/

/****************************************************************/
/* common struct/union */
/****************************************************************/

/****************************************************************/
/* common variable */
/****************************************************************/

/****************************************************************/
/* common function */
/****************************************************************/

/****************************************************************/
/* common macro */
/****************************************************************/

/* Define to prevent recursive inclusion -----------------------*/
#endif
