﻿/**
 * @file taskid.h
 * @brief task id define
 * @details 
 * @author This software is contributed or developed by KYOCERA Corporation.
 * @copyright (C) 2022 KYOCERA Corporation
 * 
 * SPDX-License-Identifier: MIT
 * 
 */
/* Define to prevent recursive inclusion -----------------------*/
#ifndef __TASKID_H__
#define __TASKID_H__

/****************************************************************/
/* include header file */
/****************************************************************/

/****************************************************************/
/* common define */
/****************************************************************/
// 最大タスク数
#define EAPI_TASK_MAX 32

// タスク固有ID値
#define EAPI_TASKID_AUTO -1
#define EAPI_TASKID_MIN 0
#define EAPI_TASKID_LOG 0
#define EAPI_TASKID_KCS 1
#define EAPI_TASKID_SNS 2
#define EAPI_TASKID_MODEM_CTRL 3
#define EAPI_TASKID_MODEM_MGR 4
#define EAPI_TASKID_UIC 5
#define EAPI_TASKID_BLE 6
#define EAPI_TASKID_OLED 7
#define EAPI_TASKID_UVC 8
#define EAPI_TASKID_NWP 9
#define EAPI_TASKID_LED 10
#define EAPI_TASKID_VIB 11
#define EAPI_TASKID_OLC 12
#define EAPI_TASKID_SIO 13
#define EAPI_TASKID_SAPP1 14
#define EAPI_TASKID_SAPP2 15
#define EAPI_TASKID_SAPP3 16
#define EAPI_TASKID_SAPP4 17
#define EAPI_TASKID_SAPP5 18
#define EAPI_TASKID_UAPP1 19
#define EAPI_TASKID_UAPP2 20
#define EAPI_TASKID_UAPP3 21
#define EAPI_TASKID_UAPP4 22
#define EAPI_TASKID_UAPP5 23
#define EAPI_TASKID_MODEM_SAPP 24
#define EAPI_TASKID_GPI 25
//#define EAPI_TASKID_ 26
//#define EAPI_TASKID_ 27
//#define EAPI_TASKID_ 28
//#define EAPI_TASKID_ 29
//#define EAPI_TASKID_ 30
//#define EAPI_TASKID_ 31
#define EAPI_TASKID_ALL 32
#define EAPI_TASKID_MAX 32
#define EAPI_TASKID_TERM 33

/****************************************************************/
/* common typedef (other than enum/struct/union) */
/****************************************************************/

/****************************************************************/
/* common enum */
/****************************************************************/

/****************************************************************/
/* common struct/union */
/****************************************************************/

/****************************************************************/
/* common variable */
/****************************************************************/

/****************************************************************/
/* common function */
/****************************************************************/

/****************************************************************/
/* common macro */
/****************************************************************/

/* Define to prevent recursive inclusion -----------------------*/
#endif
